QGIS Application - Bug report #20648
Processing/batch mode freezes QGIS
2018-11-27 05:52 PM - Daniel Morton

Status: Closed

Priority: High

Assignee:

Category: Processing/GRASS

Affected QGIS version:3.4.1 Regression?: No
Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corruptsdata: Copied to github as #: 28468
Description

User Feedback

trying to run grass i.pca

Report Details

Crash ID: ae578419b118b5966961557e208fcbcas5b07f7d
Stack Trace

QgsProcessingAlgorithmDialogBase::~QgsProcessingAlgorithmDialogBase :
QObject::event :

QWidget::event :
QApplicationPrivate::notify_helper :
QApplication::notify :

QgsApplication::notify :
QCoreApplication::notifyInternal2 :
QCoreApplicationPrivate::sendPostedEvents :
gt_plugin_query_metadata :
QEventDispatcherWin32::processEvents :
TranslateMessageEx :

TranslateMessage :
QEventDispatcherWin32::processEvents :
gt_plugin_query_metadata :
QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.2-Madeira

QGIS code revision: commit:22034aa070
Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64
Kernel Type: winnt
Kernel Version: 6.1.7601

History
#1 - 2018-11-28 07:55 AM - Giovanni Manghi
- Status changed from Open to Feedback

Is that in the GRASS plugin or in the Processing toolbox? is the whole QGIS that crashes?

#2 - 2018-11-28 11:41 AM - Daniel Morton

Calling i.pca from the processing toolbox. The whole of Qgis crashes.

#3 - 2018-11-28 12:08 PM - Giovanni Manghi

- Category changed from GRASS to Processing/GRASS

Daniel Morton wrote:

Calling i.pca from the processing toolbox. The whole of Qgis crashes.

Can you please attach sample data and parameters you are using? thanks.

#4 - 2018-11-28 12:09 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Subject changed from grass not working on qgis 3.4.2 to ProcessingGRASS module causes QGIS to crash
- Priority changed from Normal to High

#5 - 2018-11-28 12:11 PM - Daniel Morton

To clarify.

This happens when batch processing is chosen. When you select run the dialog freezes indefinitely. If you chose to close it whilst in this state the whole of

QGIS crashes.

If not run in batch mode the pca works as expected.

#6 - 2018-11-28 12:16 PM - Giovanni Manghi

- Subject changed from ProcessingGRASS module causes QGIS to crash to Processing/batch mode freezes QGIS

This happens when batch processing is chosen. When you select run the dialog freezes indefinitely. If you chose to close it whilst in this state the

whole of QGIS crashes.

this depends on the input data/paramters?

or in batch mode also happens when you a process 2 times with inputs and parameters that work ok if run not in batch?

#7 - 2018-11-28 12:47 PM - Daniel Morton
The data | used are quite large. Too big to send as an attachment. However, | have found a simpler route to the problem, that requires no data nor altering

the default parameters.

Start QGIS. From the processing toolbox select grass, i.pca. Select 'Run as Batch Process...". Don't bother to specify any data or change the default
parameters, just press 'Run’. Nothing happens now. Press 'Close’. QGIS now crashes (on my system).

Out of curiosity | tried this with some other grass processes. It happens whenever | try and use batch processing fro rasters or imagery.

Note these problems apply to 3.4.2 (not 3.4.1). The issue reporting tool drop down does not provide 3.4.2.

#8 - 2018-11-28 12:52 PM - Daniel Morton

The same problem occurs in 3.5.0

#9 - 2018-11-28 01:00 PM - Giovanni Manghi

Daniel Morton wrote:

The same problem occurs in 3.5.0

does it works as expected on 2.18?

#10 - 2018-11-29 12:06 AM - Nyall Dawson
- Status changed from Feedback to Closed
- Resolution set to duplicate

Duplicate of #20650

#11 - 2018-11-29 12:12 PM - Daniel Morton

There is a different problem in 2.18, as per #20655. Neither work as expected.
